Index: src/SharedImage.cxx
===================================================================
--- src/SharedImage.cxx	(revision 7677)
+++ src/SharedImage.cxx	(working copy)
@@ -124,7 +124,11 @@
   would return for a SharedImage with this name. */
 const char* SharedImage::get_filename(const char* name)
 {
+#if defined(__linux__) || defined(__APPLE__)
   if (name[0] == '/' || !shared_image_root || !*shared_image_root)
+#else
+  if (name[1] == ':' || !shared_image_root || !*shared_image_root)
+#endif
     return name;
   int m = strlen(shared_image_root);
   int n = strlen(name) + m + 2;
